## com.baidubce.services.bmr.model
Class InstanceGroupConfig

    java.lang.Object
      com.baidubce.services.bmr.model.InstanceGroupConfig

    public class InstanceGroupConfig

extends Object

Represent the configuration for an instance group. An instance group can be configured with name, type, instance type and instance count. And the type, instance type and count are essential options.

Constructor Summary
`InstanceGroupConfig()`

Method Summary
`int` `getInstanceCount()`
`String` `getInstanceType()`
`String` `getName()`
`String` `getType()`
`void` `setInstanceCount(int instanceCount)`
`void` `setInstanceType(String instanceType)`
`void` `setName(String name)`
`void` `setType(String type)`
`InstanceGroupConfig` `withInstanceCount(int instanceCount)` Configure the instance count for the instance group.
`InstanceGroupConfig` `withInstanceType(String instanceType)` Configure the instances'type in the target instance group.
`InstanceGroupConfig` `withName(String name)` Configure the name of the instance group.
`InstanceGroupConfig` `withType(String type)` Configure the type of the instance group.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceGroupConfig

    public InstanceGroupConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getType

    public String getType()

### setType

    public void setType(String type)

### getInstanceType

    public String getInstanceType()

### setInstanceType

    public void setInstanceType(String instanceType)

### getInstanceCount

    public int getInstanceCount()

### setInstanceCount

    public void setInstanceCount(int instanceCount)

### withName

    public InstanceGroupConfig withName(String name)

  Configure the name of the instance group.

  Parameters:
    `name` - The name of the instance group.
  Returns:
    InstanceGroupConfig

### withType

    public InstanceGroupConfig withType(String type)

  Configure the type of the instance group. The type of instance group can be one of "Master", "Core" or "Task".

  Parameters:
    `type` - The type of the instance group.
  Returns:
    InstanceGroupConfig

### withInstanceType

    public InstanceGroupConfig withInstanceType(String instanceType)

  Configure the instances'type in the target instance group. The instance's type can be one of the following options: "g.small": 2 CPU(cores) 8 GB mem 200 GB disk "c.large": 8 CPU(cores) 32 GB mem 600 GB disk "m.medium": 4 CPU(cores) 32 GB mem 400 GB disk "s.medium": 4 CPU(cores) 16 GB mem 1000 GB disk

  Parameters:
    `instanceType` - The instances' type for the instance group.
  Returns:
    InstanceGroupConfig

### withInstanceCount

    public InstanceGroupConfig withInstanceCount(int instanceCount)

  Configure the instance count for the instance group.

  Parameters:
    `instanceCount` - The instance count for the instance group.
  Returns:
    InstanceGroupConfig

Copyright © 2016. All rights reserved.